# ApplicationFramework
TKLCAF
TDF

# TDF_IDFilter Class Reference

This class offers filtering services around an ID list.
.

`#include <TDF_IDFilter.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_IDFilter (const Standard_Boolean ignoreMode=Standard_True)

Creates an ID/attribute filter based on an ID
list. The default mode is "ignore all but...".
This filter has 2 working mode: keep and ignore.
Ignore/Exclusive mode: all IDs are ignored except
these set to be kept, using Keep(). Of course, it
is possible set an kept ID to be ignored using
Ignore().
Keep/Inclusive mode: all IDs are kept except these
set to be ignored, using Ignore(). Of course, it
is possible set an ignored ID to be kept using
Keep().
.

Standard_EXPORT void | IgnoreAll (const Standard_Boolean ignore)
| The list of ID is cleared and the filter mode is set to ignore mode if <keep> is true; false otherwise. .
Standard_Boolean | IgnoreAll () const
| Returns true is the mode is set to "ignore all <br> but...". .
Standard_EXPORT void | Keep (const Standard_GUID &anID)
| An attribute with <anid> as ID is to be kept and the filter will answer true to the question IsKept(<anID>). .
Standard_EXPORT void | Keep (const TDF_IDList &anIDList)
| Attributes with ID owned by <anidlist> are to be kept and the filter will answer true to the question IsKept(<anID>) with ID from <anidlist>. .
Standard_EXPORT void | Ignore (const Standard_GUID &anID)
| An attribute with <anid> as ID is to be ignored and the filter will answer false to the question IsKept(<anID>). .
Standard_EXPORT void | Ignore (const TDF_IDList &anIDList)
| Attributes with ID owned by <anidlist> are to be ignored and the filter will answer false to the question IsKept(<anID>) with ID from <anidlist>. .
Standard_Boolean | IsKept (const Standard_GUID &anID) const
| Returns true if the ID is to be kept. .
Standard_Boolean | IsKept (const Handle(TDF_Attribute)&anAtt) const
| Returns true if the attribute is to be kept. .
Standard_Boolean | IsIgnored (const Standard_GUID &anID) const
| Returns true if the ID is to be ignored. .
Standard_Boolean | IsIgnored (const Handle(TDF_Attribute)&anAtt) const
| Returns true if the attribute is to be ignored. .
Standard_EXPORT void | IDList (TDF_IDList &anIDList) const
| Copies the list of ID to be kept or ignored in <anidlist>. <anidlist> is cleared before use. .
Standard_EXPORT void | Copy (const TDF_IDFilter &fromFilter)
| Copies into <me> the contents of <fromfilter>. <me> is cleared before copy. .
Standard_EXPORT void | Dump (Standard_OStream &anOS) const
| Writes the contents of <me> to <os>. .

## Private Member Functions

Standard_EXPORT | TDF_IDFilter (const TDF_IDFilter &aFilter)
| Private, to forbid implicit or hidden accesses to the copy constructor. .

## Private Attributes

Standard_Boolean | myIgnore
TDF_IDMap | myIDMap

## Constructor & Destructor Documentation

Standard_EXPORT TDF_IDFilter::TDF_IDFilter | ( | const Standard_Boolean | ignoreMode = `Standard_True` | ) |

Standard_EXPORT TDF_IDFilter::TDF_IDFilter | ( | const TDF_IDFilter & | aFilter | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TDF_IDFilter::Copy | ( | const TDF_IDFilter & | fromFilter | ) |

Standard_EXPORT void TDF_IDFilter::Dump | ( | Standard_OStream & | anOS | ) | const

Standard_EXPORT void TDF_IDFilter::IDList | ( | TDF_IDList & | anIDList | ) | const

Standard_EXPORT void TDF_IDFilter::Ignore | ( | const TDF_IDList & | anIDList | ) |

Standard_EXPORT void TDF_IDFilter::Ignore | ( | const Standard_GUID & | anID | ) |

Standard_Boolean TDF_IDFilter::IgnoreAll | ( |  | ) | const`[inline]`

Standard_EXPORT void TDF_IDFilter::IgnoreAll | ( | const Standard_Boolean | ignore | ) |

Standard_Boolean TDF_IDFilter::IsIgnored | ( | const Handle(TDF_Attribute)& | anAtt | ) | const`[inline]`

Standard_Boolean TDF_IDFilter::IsIgnored | ( | const Standard_GUID & | anID | ) | const`[inline]`

Standard_Boolean TDF_IDFilter::IsKept | ( | const Handle(TDF_Attribute)& | anAtt | ) | const`[inline]`

Standard_Boolean TDF_IDFilter::IsKept | ( | const Standard_GUID & | anID | ) | const`[inline]`

Standard_EXPORT void TDF_IDFilter::Keep | ( | const TDF_IDList & | anIDList | ) |

Standard_EXPORT void TDF_IDFilter::Keep | ( | const Standard_GUID & | anID | ) |

void TDF_IDFilter::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_IDFilter::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_IDFilter::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

## Field Documentation

TDF_IDMap TDF_IDFilter::myIDMap `[private]`

Standard_Boolean TDF_IDFilter::myIgnore `[private]`

The documentation for this class was generated from the following files:

- TDF_IDFilter.hxx
- TDF_IDFilter.lxx